## edu.stanford.nlp.optimization
Interface Function

All Known Subinterfaces:
  DiffFunction

    public interface Function

An interface for double-valued functions over double arrays.

Since:
  1.0
Author:
  Dan Klein

Method Summary
`int` `domainDimension()` Returns the number of dimensions in the function's domain
`double` `valueAt(double[] x)` Returns the value of the function at a single point.

Method Detail

### valueAt

    double valueAt(double[] x)

  Returns the value of the function at a single point.

  Parameters:
    `x` - a `double[]` input
  Returns:
    the function value at the input

### domainDimension

    int domainDimension()

  Returns the number of dimensions in the function's domain

  Returns:
    the number of domain dimensions

Stanford NLP Group